%define ant_home %{_datadir}/ant
%define ant_lib  %{ant_home}/lib
Name:           ant-antunit
Version:        1.1
Release:        %mkrel 1
Summary:        Java regression test package
License:        Apache Software License Version 2.0
Group:          Development/Java
URL:            http://ant.apache.org/antlibs/antunit/
Source0:        http://it.apache.contactlab.it//ant/antlibs/antunit/source/apache-ant-antunit-%{version}-src.tar.gz
Patch0:         ant-antunit-1.1-javadoc.patch
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  junit
Requires:       ant
Requires:       java
Requires:       jpackage-utils
BuildArch:      noarch

%description
ant-antunit contains tasks that enables Ant task developers to test
their tasks with Ant and without JUnit.  It contains a few assertion
tasks and an antunit task that runs build files instead of test
classes and is modelled after the JUnit task.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
The <antunit> task drives the tests much like <junit> does for JUnit tests.

This package contains javadoc for %{name}.

%prep
%setup -q -n apache-%{name}-%{version}

mv CONTRIBUTORS CONTRIBUTORS.orig
iconv -f ISO-8859-1 -t UTF-8 CONTRIBUTORS.orig > CONTRIBUTORS
touch -r CONTRIBUTORS.orig CONTRIBUTORS

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

%patch0 -p0

%build
export CLASSPATH=$(build-classpath junit ant/ant-junit ant)
ant package javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}/ant %{buildroot}%{ant_lib}

install -pm 0644 build/lib/ant-antunit-%{version}.jar %{buildroot}%{_javadir}/ant/ant-antunit-%{version}.jar

(
  cd %{buildroot}%{_javadir}/ant
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
  ln -sf ../../java/ant/ant-antunit-%{version}.jar %{buildroot}%{ant_lib}/ant-antunit.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 ant-antunit-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.ant-ant-antunit.pom
%add_maven_depmap JPP.ant-ant-antunit.pom ant/ant-antunit.jar

mkdir -p %{buildroot}%{_javadocdir}/ant-antunit
cp -pr apidocs/* %{buildroot}%{_javadocdir}/ant-antunit/

mkdir -p %{buildroot}%{_sysconfdir}/ant-antunit.d
echo "ant/ant-antunit" > %{buildroot}%{_sysconfdir}/ant-antunit.d/antunit

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%config(noreplace) %{_sysconfdir}/ant-antunit.d/antunit
%{_javadir}/ant/ant-antunit-%{version}.jar
%{_javadir}/ant/ant-antunit.jar
%{ant_lib}/ant-antunit.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CONTRIBUTORS NOTICE README* WHATSNEW common/LICENSE

%files javadoc
%{_javadocdir}/ant-antunit
%doc docs/*

%changelog

* Tue Aug 02 2011 gil <gil> 1.1-1.mga2
+ Revision: 131328
- edit spec file used new JP macro

* Fri Jun 10 2011 gil <gil> 1.1-0.mga2
+ Revision: 102791
- imported package ant-antunit

